org.apache.ignite.internal.util

## Class IgniteExceptionRegistry

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteExceptionRegistry

    public class IgniteExceptionRegistry
    extends Object

Utility to collect suppressed errors within internal code.

### Field Summary

Fields
`static int` `DEFAULT_QUEUE_SIZE`
`static IgniteExceptionRegistry` `DUMMY_REGISTRY`

### Constructor Summary

Constructors
`protected` `IgniteExceptionRegistry()` Default constructor.
`` `IgniteExceptionRegistry(IgniteLogger log)` Constructor.

### Method Summary

Methods
`long` `errorCount()` Errors count.
`void` `onException(String msg, Throwable e)` Puts exception into queue.
`void` `printErrors()` Prints errors.
`void` `setMaxSize(int maxSize)` Sets max size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DUMMY_REGISTRY

    public static final IgniteExceptionRegistry DUMMY_REGISTRY

#### DEFAULT_QUEUE_SIZE

    public static final int DEFAULT_QUEUE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### IgniteExceptionRegistry

    public IgniteExceptionRegistry(IgniteLogger log)

Constructor.

Parameters:
  `log` - Ignite logger.

#### IgniteExceptionRegistry

    protected IgniteExceptionRegistry()

Default constructor.

### Method Detail

#### onException

    public void onException(String msg,
                   Throwable e)

Puts exception into queue. Thread-safe.

Parameters:
  `e` - Exception.

#### setMaxSize

    public void setMaxSize(int maxSize)

Sets max size. Default value `DEFAULT_QUEUE_SIZE`

Parameters:
  `maxSize` - Max size.

#### printErrors

    public void printErrors()

Prints errors.

#### errorCount

    public long errorCount()

Errors count.

Returns:
  Errors count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015